> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search for a specific employee

> Search for a specific employee by employee ID.



## OpenAPI

````yaml get /v2/employees/{employeeId}
openapi: 3.0.1
info:
  title: Oberon API
  description: Oberon open api definitions
  termsOfService: https://pleo.io/terms/
  contact:
    email: apiteam@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 50.7.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: SCIM
    description: >-
      SCIM-compatible User API. The SCIM (System for Cross-domain Identity

      Management) specification standardises a schema for user representation
      and

      provides a RESTful API to create, update, retrieve and delete user
      identities.

      <br> In particular, this API enables third-party systems to efficiently
      manage

      user provisioning and de-provisioning.
       <br> API available at `/scim/v2`
    externalDocs:
      description: Read more about SCIM
      url: https://datatracker.ietf.org/doc/html/rfc7644
  - name: Employees
    description: |-
      The Employees API enables you to search for employee records that
      are managed in Pleo. You can perform the following: 
       - Search for multiple
      employees 
       - Search for a specific employee record by employee ID
  - name: Companies
    description: >-
      The Companies API enables you to search for company records that are
      managed in Pleo. You can perform the following: 
       - Search for multiple companies
       - Search for a specific company record by company ID
paths:
  /v2/employees/{employeeId}:
    get:
      tags:
        - Employees
      summary: Search for a specific employee
      description: Search for a specific employee by employee ID.
      operationId: Get employee by ID
      parameters:
        - name: employeeId
          in: path
          description: Enter the employee ID.
          required: true
          style: simple
          explode: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Employee resource found
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/DataResponseExternalEmployeeResponseModel'
        '403':
          description: >-
            Forbidden: User lacks the necessary permissions to access this
            Employee
        '404':
          description: 'Not Found: Employee with given ID not found'
components:
  schemas:
    DataResponseExternalEmployeeResponseModel:
      required:
        - data
      type: object
      properties:
        data:
          $ref: '#/components/schemas/ExternalEmployeeResponseModel'
    ExternalEmployeeResponseModel:
      required:
        - companyId
        - email
        - firstName
        - id
        - lastName
      type: object
      properties:
        code:
          type: string
          description: External ID of the Employee
        companyId:
          type: string
          description: Company ID of the Employee
          format: uuid
        email:
          type: string
          description: Email of the Employee
        firstName:
          type: string
          description: First name of the Employee
        id:
          type: string
          description: ID of the Employee
          format: uuid
        jobTitle:
          type: string
          description: Job title of the Employee
        lastName:
          type: string
          description: Last name of the Employee
        phone:
          type: string
          description: Phone number of the Employee
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````